VDPAU

Data Fields
VdpLayer Struct Reference
Core API » VdpVideoMixer; Video Post-processing and Compositing object

Definition of an additional VdpOutputSurface layer in the composting model. More...

`#include <vdpau.h>`

## Data Fields
uint32_t | struct_version
VdpOutputSurface | source_surface
VdpRect const * | source_rect
VdpRect const * | destination_rect

## Detailed Description

Definition of an additional VdpOutputSurface layer in the composting model.

## Field Documentation

## ◆ destination_rect

VdpRect const* VdpLayer::destination_rect

The sub-rectangle of the destination surface to map this layer into. This rectangle is relative to the entire destination surface. This rectangle will be clipped by VdpVideoMixerRender's destination_rect. If NULL, the destination rectangle will be sized to match the source rectangle, and will be located at the origin.

## ◆ source_rect

VdpRect const* VdpLayer::source_rect

The sub-rectangle of the source surface to use. If NULL, the entire source surface will be used.

## ◆ source_surface

VdpOutputSurface VdpLayer::source_surface

The surface to composite from.

## ◆ struct_version

uint32_t VdpLayer::struct_version

This field must be filled with VDP_LAYER_VERSION

The documentation for this struct was generated from the following file:

- vdpau/vdpau.h